#include <iostream>
#include <string>
#include <cstring>

using namespace std;

int main()
{
    string a;
    string b;
    string c;
    cin >> a;
    cin >> b;
    cin >> c;
    string a1;
    string a2;
    string a3;
    string a4;
    string a5;
    string a6;
    string mx1;
    string mx2;
    string mx3;
    string mx4;
    string mx;
    a1=a+b+c;
    a2=a+c+b;
    a3=b+a+c;
    a4=b+c+a;
    a5=c+a+b;
    a6=c+b+a;
    mx1=max(a1,a2);
    mx2=max(mx1,a3);
    mx3=max(mx2,a4);
    mx4=max(mx3,a5);
    mx=max(mx4,a6);
    cout << mx;
    return 0;
}